%global _internal_version  1de6c0c

Name:           nemo-open-terminal
Version:        1.0.0
Release:        1%{?dist}
Summary:        Nemo extension for an open terminal shortcut

Group:          User Interface/Desktops
License:        GPLv2+ and LGPLv2+        
URL:            https://github.com/leigh123linux/nemo-open-terminal
# To generate source
# wget https://github.com/leigh123linux/nemo-open-terminal/tarball/%%{_internal_version} -O nemo-open-terminal-%%{version}.git%%{_internal_version}.tar.gz
Source0:        http://leigh123linux.fedorapeople.org/pub/nemo-open-terminal/source/nemo-open-terminal-%{version}.tar.gz        

BuildRequires:  gnome-desktop3-devel
BuildRequires:  intltool
# need extensions
BuildRequires:  nemo-devel

BuildRequires:  GConf2-devel
Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun): GConf2       

%description
The nemo-open-terminal extension provides a right-click "Open
Terminal" option for nemo users who prefer that option.


%prep
%setup -q -n leigh123linux-%{name}-%{_internal_version}


%build
%configure --disable-static \
           --disable-schemas-install
make %{?_smp_mflags}


%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/nemo/extensions-3.0/*.la

%find_lang %{name}

%pre
%gconf_schema_prepare nemo-open-terminal

%post
%gconf_schema_upgrade nemo-open-terminal

%preun
%gconf_schema_remove nemo-open-terminal


%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS TODO
%config %{_sysconfdir}/gconf/schemas/nemo-open-terminal.schemas
%{_libdir}/nemo/extensions-3.0/*.so*



%changelog
* Mon Oct 08 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-1
- initial build
